> ## Documentation Index
> Fetch the complete documentation index at: https://docs.younegotiate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List creditor profile import histories

> List EcoMail Hub creditor profile CSV upload histories. Hidden rows are excluded.



## OpenAPI

````yaml /api/ecomailhub.openapi.yaml get /import-creditor-profiles/histories
openapi: 3.1.0
info:
  title: YouNegotiate EcoMail Hub API
  version: '2.0'
  description: Stateless API endpoints for EcoMail Hub / EcoPortal users.
servers:
  - url: https://api.ecomailhub.younegotiate.com
    description: Production
security: []
tags:
  - name: System
    description: Public EcoMail Hub domain system and health endpoints.
  - name: Authentication
    description: EcoMail Hub login, logout, password reset, and password change endpoints.
  - name: Profile
    description: Authenticated EcoMail Hub user profile endpoints.
  - name: Dashboard
    description: EcoMail Hub dashboard summary and notice-response bucket endpoints.
  - name: Manage Consumers
    description: >-
      EcoMail Hub consumer identity grouping and notice-response count
      endpoints.
  - name: Manage Creditors
    description: >-
      EcoMail Hub creditor profile and company-only member profile table
      endpoints.
  - name: Import Creditor Profiles
    description: EcoMail Hub creditor profile CSV import endpoints.
  - name: Manage Notice Response
    description: >-
      EcoMail Hub top-level notice-response review, reassignment, and close
      endpoints.
  - name: Manage Users
    description: EcoMail Hub user account management endpoints.
  - name: Reports
    description: EcoMail Hub one-time and scheduled CSV report endpoints.
  - name: Communications
    description: EcoMail Hub communication template editor endpoints.
paths:
  /import-creditor-profiles/histories:
    get:
      tags:
        - Import Creditor Profiles
      summary: List creditor profile import histories
      description: >-
        List EcoMail Hub creditor profile CSV upload histories. Hidden rows are
        excluded.
      operationId: ecomailhubListCreditorProfileImportHistories
      parameters:
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 255
          description: Search by stored filename or original uploaded filename.
        - name: sort
          in: query
          required: false
          schema:
            type: string
            enum:
              - upload-date
              - name
              - records
              - successful-records
              - failed-records
              - status
            default: upload-date
        - name: direction
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
      responses:
        '200':
          description: Creditor profile import histories returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditorProfileImportHistoryListResponse'
              example:
                data:
                  - id: 41
                    filename: Creditor-Profiles-20260705154530-a1b2c3d4.csv
                    original_filename: Creditor Profiles.csv
                    failed_filename: Creditor-Profiles-failed-41.csv
                    file_size_bytes: 4096
                    status: completed
                    status_label: Completed
                    total_records: 100
                    success_count: 98
                    error_count: 2
                    is_hidden: false
                    actions:
                      can_download_uploaded_file: true
                      can_download_failed_file: true
                      can_delete: true
                    processing_started_at: '2026-07-05T10:15:40.000000Z'
                    processing_completed_at: '2026-07-05T10:16:40.000000Z'
                    created_at: '2026-07-05T10:15:30.000000Z'
                    updated_at: '2026-07-05T10:16:40.000000Z'
                pagination:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 25
                  to: 1
                  total: 1
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    CreditorProfileImportHistoryListResponse:
      type: object
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CreditorProfileImportHistory'
        pagination:
          $ref: '#/components/schemas/Pagination'
    CreditorProfileImportHistory:
      type: object
      required:
        - id
        - filename
        - original_filename
        - failed_filename
        - file_size_bytes
        - status
        - status_label
        - total_records
        - success_count
        - error_count
        - is_hidden
        - actions
        - processing_started_at
        - processing_completed_at
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          example: 41
        filename:
          type: string
          example: Creditor-Profiles-20260705154530-a1b2c3d4.csv
        original_filename:
          type: string
          example: Creditor Profiles.csv
        failed_filename:
          type:
            - string
            - 'null'
          example: null
        file_size_bytes:
          type:
            - integer
            - 'null'
          example: 4096
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - failed
          example: queued
        status_label:
          type: string
          example: Queued
        total_records:
          type: integer
          minimum: 0
          example: 0
        success_count:
          type: integer
          minimum: 0
          example: 0
        error_count:
          type: integer
          minimum: 0
          example: 0
        is_hidden:
          type: boolean
          example: false
        actions:
          type: object
          required:
            - can_download_uploaded_file
            - can_download_failed_file
            - can_delete
          properties:
            can_download_uploaded_file:
              type: boolean
              example: true
            can_download_failed_file:
              type: boolean
              example: true
            can_delete:
              type: boolean
              example: true
        processing_started_at:
          type:
            - string
            - 'null'
          format: date-time
          example: null
        processing_completed_at:
          type:
            - string
            - 'null'
          format: date-time
          example: null
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
    Pagination:
      type: object
      required:
        - current_page
        - from
        - last_page
        - per_page
        - to
        - total
      properties:
        current_page:
          type: integer
          example: 1
        from:
          type:
            - integer
            - 'null'
          example: 1
        last_page:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 25
        to:
          type:
            - integer
            - 'null'
          example: 1
        total:
          type: integer
          example: 1
    MessageResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ValidationErrorResponse:
      type: object
      required:
        - message
        - errors
      properties:
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  responses:
    Unauthenticated:
      description: Missing or invalid bearer token.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
          example:
            message: Unauthenticated.
    ValidationError:
      description: Request validation failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationErrorResponse'
          example:
            message: The given data was invalid.
            errors:
              email:
                - The email field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum

````